# MPI_Dist_graph_create_adjacent

## NAME

MPI_Dist_graph_create_adjacent − Makes a new communicator to which distributed graph topology information has been attached.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Dist_graph_create_adjacent(MPI_Comm comm_old, int indegree, int sources[],

|  | int sourceweights[], int outdegree, int destinations[], int destweights[],
|  | MPI_Info info, int reorder[], MPI_Comm *comm_dist_graph[])

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_DIST_GRAPH_CREATE_ADJACENT(COMM_OLD, INDEGREE, SOURCES, SOURCEWEIGHTS,

|  |  |  | OUTDEGREE, DESTINATIONS, DESTWEIGHTS,
|  |  |  | INFO, REORDER, COMM_DIST_GRAPH, IERROR)
|  | INTEGER |  | COMM_OLD, INDEGREE, SOURCES(*), SOURCEWEIGHTS(*),
|  |  |  | OUTDEGREE, DESTINATIONS(*), DESTWEIGHTS(*),
|  |  |  | INFO, COMM_DIST_GRAPH, IERROR
|  | LOGICAL |  | REORDER

## C++ Syntax

#include <mpi.h>
Distgraphcomm Intracomm::Dist_graph_create_adjacent(int indegree,

| const int sources[], const int sourceweights[], int outdegree,
| const int destinations[], const int destweights[], const Info& info,
| bool reorder) const

Distgraphcomm Intracomm::Dist_graph_create_adjacent(int indegree,

| const int sources[], int outdegree,
| const int destinations[], const Info& info, bool reorder) const

## INPUT PARAMETERS

| comm_old |  | Input communicator (handle).
| indegree |  | Size of sources and sourceweights arrays (integer).
| sources |  | Process ranks for which this process is a destination.
| sourceweights |  | Weights of the edges into this process.
| outdegree |  | Size of destinations and destweights arrays.
| destinations |  | Process ranks for which this process is a source.
| destweights |  | Weights of the edges out of this process.
| info |  | Hints for interpreting and optimizing weights (handle).
| reorder |  | Ranking may be reordered (true) or not (false) (logical).

## OUTPUT PARAMETERS

| comm_dist_graph |  | Communicator with distributed graph topology (handle). |
| IERROR |  | Fortran only: Error status (integer). |

## FOR MORE INFORMATION

For more information, see page 252 of the MPI 2.2 standard.

MPI API Index